import click
import subprocess

@click.command()
def start():
    """Start your vm"""
    subprocess.run("gcloud", "compute", "instances", "start", "--zone=europe-west9-a", "lewagon-data-eng-vm-bacqueyyohann")
    #print("start command")

@click.command()
def stop():
    """Stop your vm"""
    subprocess.run("gcloud", "compute", "instances", "stop", "--zone=europe-west9-a", "lewagon-data-eng-vm-bacqueyyohann")

@click.command()
def connect():
    """Connect to your vm in vscode inside your ~/code/bacqueyyohann/folder """
    subprocess.run("code", "--folder-uri", "vscode-remote://ssh-remote+lewagon-data-eng-vm-bacqueyyohann@34.155.225.23/home/")
